//----------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "DataMod.h"
//----------------------------------------------------------------------------
#pragma link "QueryDialog"
#pragma resource "*.dfm"
TOrderDataModule *OrderDataModule;
//----------------------------------------------------------------------------
__fastcall TOrderDataModule::TOrderDataModule(TComponent *Owner)
	: TDataModule(Owner)
{
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::DataModuleCreate(TObject *Sender)
{
	OrderQuery->Open();
	Items->Open();
    Customers->Open();
    Employee->Open();
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryOrders(TForm *FormToQuery)
{
	OrderQueryDialog->DialogTitle = "Query Orders Table From Form";
	OrderQueryDialog->Execute(FormToQuery);
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryItems(TDBGrid *GridToQuery)
{
	ItemQueryDialog->DialogTitle = "Query Items Table From DBGrid";
	ItemQueryDialog->Execute(GridToQuery);
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryOrdersDataSet()
{
	DataSetQueryDialog->DialogTitle = "Query Orders Table From TQuery";
	DataSetQueryDialog->Execute((TDataSet *) OrderQuery);
}
//----------------------------------------------------------------------------

void __fastcall TOrderDataModule::OrderQueryDialogMDIResultOK(TObject *Sender)
{
		OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (OrderQueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where " + OrderQueryDialog->QueryString);

    	OrderQuery->Open();

}
//---------------------------------------------------------------------------

void __fastcall TOrderDataModule::DataSetQueryDialogMDIResultOK(
      TObject *Sender)
{
		OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (DataSetQueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where " + DataSetQueryDialog->QueryString);

    	OrderQuery->Open();
}
//---------------------------------------------------------------------------

void __fastcall TOrderDataModule::ItemQueryDialogMDIResultOK(
      TObject *Sender)
{
		OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (ItemQueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where orderno in (select orderno from items where " + ItemQueryDialog->QueryString + ")");

    	OrderQuery->Open();
}
//---------------------------------------------------------------------------

